Package org.apache.velocity.context

# Interface InternalEventContext

All Known Subinterfaces:
  `InternalContextAdapter`

All Known Implementing Classes:
  `AbstractContext`, `ChainedInternalContextAdapter`, `InternalContextAdapterImpl`, `VelocityContext`

public interface InternalEventContext
Interface for event support. Note that this is a public internal interface, as it is something that will be accessed from outside of the .context package.

Version:
  $Id$
Author:
  Geir Magnusson Jr.

## Method Summary

Modifier and Type
Method
Description
`EventCartridge`
`attachEventCartridge(EventCartridge ec)`
`EventCartridge`
`getEventCartridge()`

## Method Details

### attachEventCartridge

EventCartridge attachEventCartridge(EventCartridge ec)

Parameters:
  `ec` -
Returns:
  The old EventCartridge.

### getEventCartridge

EventCartridge getEventCartridge()

Returns:
  The current EventCartridge.